Skip to main content
GET
/
api
/
runtime-security
/
events
Paginated event log
curl --request GET \
  --url https://api.antidote.example.com/api/runtime-security/events \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "uuid": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "injection_score": 123,
      "injection_label": "<string>",
      "pii_count": 123,
      "pii_categories": [
        "<string>"
      ],
      "text_length": 123,
      "latency_ms": 123,
      "source_app": "<string>",
      "provider": "<string>",
      "model": "<string>",
      "client_ip": "<string>",
      "blocked_reason": "<string>",
      "metadata": {}
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Antidote workspace API key (ak_live_…). Use this header for the scan API and the OpenAI proxy routes. The required permission scope is runtime_security.scan for scan endpoints, runtime_security.view for read-only analytics, and runtime_security.manage for configuration changes.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
before_uuid
string

Cursor — returns events older than this event UUID.

verdict
enum<string>
Available options:
allow,
redact,
block
direction
enum<string>
Available options:
input,
output,
tool_call

Response

200 - application/json

Page of events

items
object[]
next_cursor
string | null